QGIS Application - Bug report #20493
32 bit floating geotiff showing as black. worked in 2.18 and 3.0 - not working 3.4
2018-11-1501:16 AM - Brad Kanther

Status: Closed

Priority: High

Assignee: Peter Petrik

Category: Rasters

Affected QGIS version:3.5(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28313
Description

Not sure why these type of geotiff's that were previously been read are now displaying as black and all at one elevation in QGIS 3.4. (see
attached files)

[

2.18 same geotiff

details page

[nformation from provider

Mame  GEOTIFF_32floating
Path
CRS  EPSG:20355- AGDE4 /) AMG zone 55 - Projected

Extent  A39355.4559999999431593,7425334.2599999997764526 ¢ 642451.45589999999431893,7430044,2599
Unit  meters

Width 1553

Height 354

Drata type  Float32 - Thirty two bit floating point
GDAL Diriver Description  GTiff
GDAL Driver Metadata  GeoTIFF

Dataset Description LB _Kanther/errars/ 0013 - geotiff 32 bit/'GEOTIFF_32floating. tif
Compression
Band 1 * STATISTICS _APPROXIMATE=YES

* STATISTICS_MANIMUIM=2258,4774017334
* STATISTICS_MEAM=214.31106576074
* STATISTICS _MIMIMLUIM=193.12649536133
* STATISTICS _STDDEY=7.8186525441395
More information * AREA_OR_POINT=Area
* TIFFTAG_SOFTWARE=Autodesk Civil3D 2005
Dimensions X 15537 556 Bands: 1
Origin /39355 7.43005+ 04
Pixel Size  2-2

[dentification

after converting in arcgis it works though. any ideas?
Name

Path

CRS
Drata type

GDAL Diver Description
GDAL Diriver Metadata
Dataset Description
Compression

Band 1

More information

Dimensions
Ornigin
Pixel Size

lemtifrati;mn

iformation from provider

GEOTIFF_arcgisconvert

EP55:20355 - AGDES / AMG zone 55 - Prajected

639355, 4559999999431593,7425334.2599999997704526 ¢ 642451, 4589999999431593,7430045, 259999999776 4526
meters

1553

356

Float32 - Thirty twao bit floating paint

GTiff

GeaTIFF

LI/B_Kanther/errors/0013 - geotiff 32 bit/GEOTIFF_arcgisconvert.tif

* BepresentationType=ATHEMATIC

* STATISTICS _COVARIAMCES=58.92953583553465
* STATISTICS _MAYIMUIM=225.4774017334

* STATISTICS _MEAM=213.176015656647

* STATISTICS_MIMIMIUR=193.12649536133

* STATISTICS_SKIPFACTORY=1

* STATISTICS_SKIPFACTORY=1

* STATISTICS_STDDEV=T7.67657708911152

* DataType=Generic

=
*¥; 428

*3) 389
*¥:214
X 1553 Vi 550 Bands: 1
639355,7,43005+ 04
2,-2

History

#1 - 2018-11-15 04:59 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High
- Operating System deleted (Win 7 64 bit)

Confirmed, it seems incapable to compute the mix/max values. On 2.18 is ok.

#2 - 2018-11-21 04:14 AM - Brad Kanther

Strange also works in 3.2 ; but not 3.3 onwards..

#3 - 2018-11-21 06:58 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Regression? changed from No to Yes

#4 - 2019-01-10 01:47 AM - Brad Kanther

- File assignprojections.jpg added

A current work around to this issue is to simply use the GDAL "Assign projection" tool to read in these geotiff's and they work.

Not sure if this hips diagnose the problem with the geotiffs
4 (2] Vector general
#5 - 2019-01-10 06:00 AM - Nyall Dawson
- Status changed from Open to Feedback

Works fine here -- using GDAL 2.2.4. What version of GDAL are you using?

#6 - 2019-01-10 11:34 AM - Giovanni Manghi
- Status changed from Feedback to Open
- Affected QGIS version changed from 3.4.1 to 3.4.3

Nyall Dawson wrote:

Works fine here -- using GDAL 2.2.4. What version of GDAL are you using?

| see the same as the issuer:
On Linux with 3.4.3 and GDAL 2.3.1
AND

Window with 3.4.3 and GDAL 2.4

the raster load in QGIS with min AND max value 192.59, and in the propoerties there no way to make QGIS compute the real min/max (as given by GDAL,
for example with gdalinfo from Processing --> Minimum=193.126, Maximum=228.477, Mean=213.176, StdDev=7.677)

On Linux with 2.18.27 and GDAL 2.2.3 it all works as expected.
#7 - 2019-01-29 03:35 PM - Peter Petrik
- Assignee set to Peter Petrik

- Affected QGIS version changed from 3.4.3 to 3.5(master)

#8 - 2019-01-29 04:54 PM - Peter Petrik

2025-04-26 3/5



- Assignee deleted (Peter Petrik)

with GDAL 2.2.x QgsGdalProvider::bandScale( bandNo ) = 1, but with GDAL 2.3.x, 2.4.x scale returned by GDALGetRasterScale() is 0, which effectively
sets min and max to a single value and the resulting image is black

gdalinfo -stats ~/GIS/bugs/20493/GEQTIFF_32floating.tif
Driver: GTiff/GeoTIFF
Files: /Users/peter/GIS/bugs/20493/GEOTIFF_32floating.tif
/Users/peter/GlS/bugs/20493/GEOTIFF_32floating.tif.aux.xml
Size is 1553, 856
Coordinate System is:
LOCAL_CS["unnamed",
UNIT["metre",1,
AUTHORITY["EPSG","9001"]]
Origin = (639355.488999999943189,7430046.259999999776483)
Pixel Size = (2.000000000000000,-2.000000000000000)
Metadata:
AREA_OR_POINT=Area
TIFFTAG_SOFTWARE=Autodesk Civil3D 2008
Image Structure Metadata:
INTERLEAVE=BAND
Corner Coordinates:
Upper Left ( 639355.489, 7430046.260)
Lower Left ( 639355.489, 7428334.260)
Upper Right ( 642461.489, 7430046.260)
Lower Right ( 642461.489, 7428334.260)
Center  ( 640908.489, 7429190.260)
Band 1 Block=1553x100 Type=Float32, Colorinterp=Gray
Min=193.126 Max=228.477
Minimum=193.126, Maximum=228.477, Mean=213.176, StdDev=7.677
NoData Value=3.4028234663852886e+38
Offset: 192.59, Scale:0
Metadata:
STATISTICS_MAXIMUM=228.4774017334
STATISTICS_MEAN=213.17601565667
STATISTICS_MINIMUM=193.12649536133
STATISTICS_STDDEV=7.6765733315397

#9 - 2019-01-29 04:54 PM - Peter Petrik
- Status changed from Open to In Progress
- Assignee set to Peter Petrik

#10 - 2019-01-30 09:37 AM - Even Rouault
GDAL upstream fixed push in GDAL master per https:/github.com/OSGeo/gdal/commit/e261b7ff4fa15e762f7f3a73ff3dbc965181d991 and release/2.4

(for 2.4.1) per https://github.com/OSGeo/gdal/commit/0a3d241f96e83b86073efc86b51376c7cd5f6e4f
A reasonable QGIS workaround is to check GDALGetRasterScale() != 0, since == 0 doesn't make much sense

#11 - 2019-02-01 03:47 PM - Peter Petrik
https://github.com/OSGeo/gdal/commit/e261b7ff4fa15e762f7f3a73ff3dbc965181d991
https://github.com/OSGeo/gdal/commit/0a3d241f96e83b86073efc86b51376c7cd5f6e4f

- Status changed from In Progress to Closed

https://github.com/qgis/QGIS/pull/9035

#12 - 2019-02-01 03:49 PM - Peter Petrik

also backported https:/github.com/qgis/QGIS/pull/9056

Files

geotiffproblems-02.jpg
geotiffproblems-01.jpg
geotiffproblems-03.jpg
GEOTIFF_32floating.zip

assignprojections.jpg
https://github.com/qgis/QGIS/pull/9035
https://github.com/qgis/QGIS/pull/9056

